Skip to main content
`Ctrl`+`K`

# PetscDSGetFieldOffset

Returns the offset of the given field in the full space basis

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetFieldOffset(PetscDS prob, PetscInt f, PetscInt *off)

Not Collective

## Input Parameters

- prob - The `PetscDS` object

- f - The field number

## Output Parameter

- off - The offset

## See Also

`PetscDS`, `PetscDSGetFieldSize()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages